Skip to main content
GET
/
project-invoice-milestones
List project invoice milestones
curl --request GET \
  --url https://www.ruddr.io/api/workspace/project-invoice-milestones \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "c6a3ccb8-6a50-49f7-af88-fedf4d4d1b24",
      "typeId": "recurring",
      "date": "2026-06-30",
      "quantity": 10,
      "rate": 2650,
      "fee": 26500,
      "name": "Monthly Services - June 2026",
      "createdAt": "2026-02-25T17:42:21.203Z",
      "invoiceItem": {
        "id": "aba04832-216c-463e-8998-c520948f707c",
        "name": "Consulting Services"
      },
      "project": {
        "id": "d077258e-2158-4f34-aabd-97e971d0c18d",
        "name": "Cloud Infrastructure Services",
        "client": {
          "id": "aa39afdb-e168-4956-b061-41c7c62e8c2e",
          "name": "Paul's Boutique"
        }
      },
      "invoiced": false
    }
  ],
  "hasMore": true
}
Scheduled invoicing for a fixed fee project. This is only available for projects that have a billing type of “fixed” or “fixed_recurring”.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

startingAfter
string

A cursor ID (uuid) used to request the next page of results. If not provided, defaults to the first page of results.

endingBefore
string

A cursor ID (uuid) used to request the previous page of results. Is mutually exclusive with startingAfter.

limit
string

The maximum number of results to be returned. Can be any number from 1 to 100. Defaults to 10, if not provided.

projectId
string

A project ID (uuid) used to filter objects for a specific project.

Response

200

results
object[]
hasMore
boolean

Whether there are more results available after this page.